com.explodingpixels.widgets

## Class TreeUtils

- java.lang.Object
- - com.explodingpixels.widgets.TreeUtils

    public class TreeUtils
    extends Object

### Method Summary

Methods
`static void` `collapsePathOnEdt(JTree tree, TreePath path)`
`static void` `expandPathOnEdt(JTree tree, TreePath path)`
`static void` `installRootExpandingTreeModelListener(JTree tree)`
`static void` `repaintSelection(JTree tree)` Repaints the selection.
`static void` `setCollapsedIcon(JTree tree, Icon icon)` Set's the collapsed icon to use for the given `JTree` if that tree's UI delegate exetends from `BasicTreeUI`.
`static void` `setExpandedIcon(JTree tree, Icon icon)` Set's the expanded icon to use for the given `JTree` if that tree's UI delegate extends from `BasicTreeUI`.
`static void` `setExpandedOnEdt(JTree tree, TreePath path, boolean expanded)`
`static void` `setLeftChildIndent(JTree tree, int indent)` Set's the left indent in pixels to use for the given `JTree`'s collapsed and expanded icon.
`static void` `setRightChildIndent(JTree tree, int indent)` Set's the right indent in pixels to use for the given `JTree`'s collapsed and expanded icon.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setCollapsedIcon

    public static void setCollapsedIcon(JTree tree,
                        Icon icon)

Set's the collapsed icon to use for the given `JTree` if that tree's UI delegate exetends from `BasicTreeUI`. If the given tree's UI delegate does not extend from `BasicTreeUI` then the given tree will not be changed.

Parameters:
  `tree` - the tree to set the collapsed icon for.
  `icon` - the new collapsed icon to use.
See Also:
  `BasicTreeUI.setCollapsedIcon(javax.swing.Icon)`

#### setExpandedIcon

    public static void setExpandedIcon(JTree tree,
                       Icon icon)

Set's the expanded icon to use for the given `JTree` if that tree's UI delegate extends from `BasicTreeUI`. If the given tree's UI delegate does not extend from `BasicTreeUI` then the given tree will not be changed.

Parameters:
  `tree` - the tree to set the expanded icon for.
  `icon` - the new collapsed icon to use.
See Also:
  `BasicTreeUI.setExpandedIcon(javax.swing.Icon)`

#### setLeftChildIndent

    public static void setLeftChildIndent(JTree tree,
                          int indent)

Set's the left indent in pixels to use for the given `JTree`'s collapsed and expanded icon. This value in conjuction with the right indent comprises the total amount of space that the collapsed and expanded icon draw into. If the given tree's UI delegate does not extend from `BasicTreeUI` then the given tree will not be changed.

Parameters:
  `tree` - the tree to set the left indent for.
  `indent` - the new left indent in pixels.
See Also:
  `BasicTreeUI.setLeftChildIndent(int)`

#### setRightChildIndent

    public static void setRightChildIndent(JTree tree,
                           int indent)

Set's the right indent in pixels to use for the given `JTree`'s collapsed and expanded icon. This value in conjuction with the left indent comprises the total amount of space that the collapsed and expanded icon draw into. If the given tree's UI delegate does not extend from `BasicTreeUI` then the given tree will not be changed.

Parameters:
  `tree` - the tree to set the right indent for.
  `indent` - the new left indent in pixels.
See Also:
  `BasicTreeUI.setRightChildIndent(int)`

#### repaintSelection

    public static void repaintSelection(JTree tree)

Repaints the selection. This allows the row selection to have a background color that changes based on the focus state of the component.

Parameters:
  `tree` - the `JTree` to repaint the selection of.

#### setExpandedOnEdt

    public static void setExpandedOnEdt(JTree tree,
                        TreePath path,
                        boolean expanded)

#### expandPathOnEdt

    public static void expandPathOnEdt(JTree tree,
                       TreePath path)

#### collapsePathOnEdt

    public static void collapsePathOnEdt(JTree tree,
                         TreePath path)

#### installRootExpandingTreeModelListener

    public static void installRootExpandingTreeModelListener(JTree tree)